<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F4F5F9"
    tools:context=".ui.recyclebin.RecycleBinFragment">

    <FrameLayout
        android:id="@+id/flTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_20"
            android:layout_marginStart="@dimen/dp_15"
            android:text="@string/recycle_bin"
            android:textColor="#1A1A1A"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold" />

    </FrameLayout>

    <com.dumpster.cleaner.business.ads.NativeParentView
        android:id="@+id/flAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        app:layout_constraintTop_toBottomOf="@id/flTop">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:src="@drawable/zhanwei1" />
    </com.dumpster.cleaner.business.ads.NativeParentView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flAd" />

    <LinearLayout
        android:id="@+id/llEmpty"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flAd"
        app:layout_constraintVertical_bias="0.2">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:srcCompat="@drawable/image" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_38"
            android:layout_marginTop="@dimen/dp_30"
            android:gravity="center"
            android:text="@string/recyclebin_tip"
            android:textColor="#666666"
            android:textSize="@dimen/sp_14" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>